Subject: Re: bug#64200: Netsurf very frequently freezes when editing text (Harfbuzz issue?)

From: Csepp <[email-masked]>
Date: Mon, 26 Jun 2023 04:16:28 +0200

John Kehayias <[email-masked]> writes:

> Dear Csepp,
>
> On Thu, Jun 22, 2023 at 12:00 AM, Csepp wrote:
>
>>
>> So, I built Netsurf with --with-latest=harfbuzz, which also affected
>> GTK+ and a bunch of other packages along the way, and it worked on my
>> first attempt, just needed a stronger machine.
>> I copied over the resulting Netsurf to my laptop and have been using it
>> all day today, it seems to have shooed that bug away.
>> (Don't squash bugs, bugs are good for the ecosystem. They are only a
>> problem when they get inside your mainframe and cause a short. UwU)
>> BTW there was no log when it caused my system to hang.  I had to reboot
>> it with sysrq.  Probably a kernel bug?
>>
>> So it looks like Harfbuzz can be updated without any problem.
>
> Great, that's good to hear and a nontrivial test too! I'll await
> comments on this mesa+friends update branch and plan on including the
> harfbuzz update there. Stay tuned...
>
> John

Well, now the bug is back somehow???  I haven't updated anything since
then.  Didn't change fonts either.
Still happens in a Harfbuzz call.